Package org.apache.sling.distribution.event

# Interface DistributionEventProperties

@ProviderType public interface DistributionEventProperties
an interface containing of the possible properties of events related to distribution

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DISTRIBUTION_COMPONENT_KIND`
property containing the kind of the component generating the event
`static final String`
`DISTRIBUTION_COMPONENT_NAME`
property containing the name of component generating the event
`static final String`
`DISTRIBUTION_DEEP_PATHS`
property containing the type of the distribution paths
`static final String`
`DISTRIBUTION_ENQUEUE_TIMESTAMP`
property containing the time when an item was created and enqueued for distribution
`static final String`
`DISTRIBUTION_PACKAGE_ID`
Package id
`static final String`
`DISTRIBUTION_PATHS`
property containing the type of the distribution paths
`static final String`
`DISTRIBUTION_TYPE`
property containing the type of the distribution request

## Field Details

### DISTRIBUTION_COMPONENT_NAME

static final String DISTRIBUTION_COMPONENT_NAME
property containing the name of component generating the event

See Also:
  - Constant Field Values

### DISTRIBUTION_COMPONENT_KIND

static final String DISTRIBUTION_COMPONENT_KIND
property containing the kind of the component generating the event

See Also:
  - Constant Field Values

### DISTRIBUTION_TYPE

static final String DISTRIBUTION_TYPE
property containing the type of the distribution request

See Also:
  - Constant Field Values

### DISTRIBUTION_PATHS

static final String DISTRIBUTION_PATHS
property containing the type of the distribution paths

See Also:
  - Constant Field Values

### DISTRIBUTION_DEEP_PATHS

static final String DISTRIBUTION_DEEP_PATHS
property containing the type of the distribution paths

See Also:
  - Constant Field Values

### DISTRIBUTION_PACKAGE_ID

static final String DISTRIBUTION_PACKAGE_ID
Package id

See Also:
  - Constant Field Values

### DISTRIBUTION_ENQUEUE_TIMESTAMP

static final String DISTRIBUTION_ENQUEUE_TIMESTAMP
property containing the time when an item was created and enqueued for distribution

See Also:
  - Constant Field Values